MInputXIMArgIM Struct Reference
GUI API » Input Method (GUI)

Structure pointed to by the argument arg of the function minput_open_im(). More...

## Data Fields

Display * | display
XrmDatabase | db
char * | res_class
char * | res_name
char * | locale
char * | modifier_list

## Detailed Description

Structure pointed to by the argument arg of the function minput_open_im().

The type MInputXIMArgIM is the structure pointed to by the argument arg of the function minput_open_im() for the foreign input method of name Mxim.

## Field Documentation

## display

Display* MInputXIMArgIM::display

The meaning of the following four members are the same as arguments to XOpenIM().
Display of the client.

## db

XrmDatabase MInputXIMArgIM::db

Pointer to the X resource database.

## res_class

char* MInputXIMArgIM::res_class

Full class name of the application.

## res_name

char* MInputXIMArgIM::res_name

Full resource name of the application.

## locale

char* MInputXIMArgIM::locale

Locale name under which an XIM is opened.

## modifier_list

char* MInputXIMArgIM::modifier_list

Arguments to XSetLocaleModifiers().